# Uses of Interface
org.eclipse.jface.text.IUndoManager

Packages that use IUndoManager
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of IUndoManager in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement IUndoManager
Modifier and Type
Class
Description
`class`
`DefaultUndoManager`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.2, replaced by `TextViewerUndoManager`
`class`
`TextViewerUndoManager`
Implementation of `IUndoManager` using the shared document undo manager.
Fields in org.eclipse.jface.text declared as IUndoManager
Modifier and Type
Field
Description
`protected IUndoManager`
TextViewer.`fUndoManager`
The text viewer's undo manager
Methods in org.eclipse.jface.text that return IUndoManager
Modifier and Type
Method
Description
`IUndoManager`
ITextViewerExtension6.`getUndoManager()`
Returns this viewer's undo manager.
`IUndoManager`
TextViewer.`getUndoManager()`
Methods in org.eclipse.jface.text with parameters of type IUndoManager
Modifier and Type
Method
Description
`void`
ITextViewer.`setUndoManager(IUndoManager undoManager)`
Sets this viewer's undo manager.
`void`
TextViewer.`setUndoManager(IUndoManager undoManager)`

## Uses of IUndoManager in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return IUndoManager
Modifier and Type
Method
Description
`IUndoManager`
SourceViewerConfiguration.`getUndoManager(ISourceViewer sourceViewer)`
Returns the undo manager for the given source viewer.

## Uses of IUndoManager in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IUndoManager
Modifier and Type
Method
Description
`IUndoManager`
TextSourceViewerConfiguration.`getUndoManager(ISourceViewer sourceViewer)`